Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.logging.log4j
Class Log4jLoggingHelper

    java.lang.Object
      weblogic.logging.log4j.Log4jLoggingHelper

public class Log4jLoggingHelper
extends Object

This class provides access to the Log4j Logger when the Server is configured to use a Log4j implementation.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`Log4jLoggingHelper()`

Method Summary
`static Logger` | `getLog4jDomainLogger()` Gets the Log4j Logger object used by the Domain Logging.
`static Logger` | `getLog4jServerLogger()` Gets the Log4j Logger object used by the Server Logging.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Log4jLoggingHelper

    public Log4jLoggingHelper()

Method Detail

### getLog4jDomainLogger

    public static Logger getLog4jDomainLogger()
                                       throws LoggerNotAvailableException

  Gets the Log4j Logger object used by the Domain Logging.

  Returns:
    The Log4j Logger being used for Domain Logging.
  Throws:
    `LoggerNotAvailableException` - If Log4j is not configured to be the current implementation for Domain Logging.

### getLog4jServerLogger

    public static Logger getLog4jServerLogger()
                                       throws LoggerNotAvailableException

  Gets the Log4j Logger object used by the Server Logging.

  Returns:
    The Log4j Logger being used for Server Logging.
  Throws:
    `LoggerNotAvailableException` - If Log4j is not configured to be the current implementation for Server Logging.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD